<html>
<head>
	<title>Customer Listing</title>
</head>
   
<body>
	<h2>Customer Listing</h2>

	<table border=1>
		<tr>
			<th width="8%">Cust Num</th>
			<th width="12%">Customer Name</th>
			<th width="20%">Company</th>
			<th width="20%">Address</th>
			<th width="12%">Country</th>
			<th width="10%">Phone</th>
		</tr>
		
<?php 	
// Step 1: Connect
$conn = db2_connect('*LOCAL','jvalance', 'john1edu');
if (!$conn) die("<br>Connection failed! ". db2_conn_errormsg());

$stmt = getDB2Statement($conn);

// Step 4: Fetch (loop through the results)
while ($row = db2_fetch_assoc($stmt)) {
	$address = 	formatAddress($row);
	print <<<DATA_ROW
	<tr>
		<td class="center">{$row['CUST_ID']}</td>
		
		<td class="left">{$row['FIRSTNAME']} {$row['LASTNAME']}</td>
		
		<td class="left">{$row['COMPANY']}</td>
	
		<td class="left">$address</td>
		
		<td class="left">{$row['COUNTRY']}</td>
	
		<td class="center">{$row['PHONE']}</td>
	
	</tr>
DATA_ROW;
	
} // end of while loop
	

// Step 5: Close the connection
db2_close ( $conn );
?>
</table>
</body>
</html>
<?php 
//-----------------------------------------------------------------------------------
function getDB2Statement($conn) {
	
	// Step 2: Prepare query for execution
	$sql = "SELECT * FROM ZENDSVR6.SP_CUST";
	$stmt = db2_prepare($conn, $sql);
	if ( !$stmt ) exit("Error in SQL: $sql<br>" . db2_stmt_errormsg($stmt));
	
	// Step 3: Execute query
	db2_execute($stmt);
	
	return $stmt;
}

//-----------------------------------------------------------------------------------
function formatAddress( $row ) {
	$address = 	"{$row['ADDRESS']}<br>";
	if (trim($row['ADDR2']) != '') {
		$address .= "{$row['ADDR2']}<br>";
	}
	$address .= "{$row['CITY']}, {$row['STATE']} {$row['ZIP']}";
	
	return $address;
}
?>